Bug 25120 - In system preference editor first tab is now Accounting and not Acquisitions
Summary: In system preference editor first tab is now Accounting and not Acquisitions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-13 02:07 UTC by Katrin Fischer
Modified: 2020-05-14 15:47 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 24120: Make accounting the default tab when opening the pref editor (1.25 KB, patch)
2020-04-13 03:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24120: Make accounting the default tab when opening the pref editor (1.30 KB, patch)
2020-04-14 11:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25120: Make accounting the default tab when opening the pref editor (1.31 KB, patch)
2020-04-15 10:29 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-04-13 02:07:49 UTC
When going to the system preferences editor, on the left side the first tab used to be highlighted/preselected. This was Acquisitions, but is now Accounting. So we need to change things.
Comment 1 Katrin Fischer 2020-04-13 03:10:57 UTC
Created attachment 102796 [details] [review]
Bug 24120: Make accounting the default tab when opening the pref editor

The default/active tab when opening the sys pref editor used
to be 'Acquisitions' as the first tab, but should now be the new
first 'Accounting'

To test:
- Go to Administration > System preferences
- Verify the Aquisition tab is second and preselected
- Apply patch
- Repeat
- Verify now Accounting is selected
Comment 2 Owen Leonard 2020-04-14 11:30:32 UTC
Created attachment 102925 [details] [review]
Bug 24120: Make accounting the default tab when opening the pref editor

The default/active tab when opening the sys pref editor used
to be 'Acquisitions' as the first tab, but should now be the new
first 'Accounting'

To test:
- Go to Administration > System preferences
- Verify the Aquisition tab is second and preselected
- Apply patch
- Repeat
- Verify now Accounting is selected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2020-04-15 10:29:19 UTC
Created attachment 102980 [details] [review]
Bug 25120: Make accounting the default tab when opening the pref editor

The default/active tab when opening the sys pref editor used
to be 'Acquisitions' as the first tab, but should now be the new
first 'Accounting'

To test:
- Go to Administration > System preferences
- Verify the Aquisition tab is second and preselected
- Apply patch
- Repeat
- Verify now Accounting is selected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-04-15 10:29:56 UTC
I've tried to remove it and make it dynamic, but not trivial.
Comment 5 Martin Renvoize 2020-04-15 11:31:24 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-05 22:48:33 UTC
backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-14 15:47:20 UTC
19.05.x is not effected by this problem, no backport